Package org.codehaus.groovy.runtime.callsite

# Class StaticMetaMethodSite

java.lang.Object
org.codehaus.groovy.runtime.callsite.AbstractCallSite
org.codehaus.groovy.runtime.callsite.MetaClassSite
org.codehaus.groovy.runtime.callsite.MetaMethodSite
org.codehaus.groovy.runtime.callsite.StaticMetaMethodSite

All Implemented Interfaces:
  `CallSite`

Direct Known Subclasses:
  `StaticMetaMethodSite.StaticMetaMethodSiteNoUnwrap`, `StaticMetaMethodSite.StaticMetaMethodSiteNoUnwrapNoCoerce`

    public class StaticMetaMethodSite
    extends MetaMethodSite

POJO call site meta class - cached method - cached

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `StaticMetaMethodSite.StaticMetaMethodSiteNoUnwrap` | Call site where we know there is no need to unwrap arguments
  `static class` | `StaticMetaMethodSite.StaticMetaMethodSiteNoUnwrapNoCoerce` | Call site where we know there is no need neither unwrap nor coerce arguments

- ## Field Summary

  ### Fields inherited from class org.codehaus.groovy.runtime.callsite.MetaMethodSite

  `params`

  ### Fields inherited from class org.codehaus.groovy.runtime.callsite.MetaClassSite

  `metaClass`

  ### Fields inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

  `array, index, name`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `StaticMetaMethodSite​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `Object` | `call​(Object receiver, Object[] args)` |
  `Object` | `callStatic​(Class receiver, Object[] args)` |
  `protected boolean` | `checkCall​(Object receiver)` |
  `protected boolean` | `checkCall​(Object receiver, Object arg1)` |
  `protected boolean` | `checkCall​(Object receiver, Object[] args)` |
  `protected boolean` | `checkCall​(Object receiver, Object arg1, Object arg2)` |
  `protected boolean` | `checkCall​(Object receiver, Object arg1, Object arg2, Object arg3)` |
  `protected boolean` | `checkCall​(Object receiver, Object arg1, Object arg2, Object arg3, Object arg4)` |
  `static CallSite` | `createStaticMetaMethodSite​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object[] args)` |
  `Object` | `invoke​(Object receiver, Object[] args)` |

  ### Methods inherited from class org.codehaus.groovy.runtime.callsite.AbstractCallSite

  `acceptGetProperty, acceptGroovyObjectGetProperty, call, call, call, call, call, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callConstructor, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callCurrent, callGetProperty, callGetPropertySafe, callGroovyObjectGetProperty, callGroovyObjectGetPropertySafe, callSafe, callSafe, callSafe, callSafe, callSafe, callSafe, callStatic, callStatic, callStatic, callStatic, callStatic, createGetPropertySite, createGroovyObjectGetPropertySite, getArray, getIndex, getName, getProperty`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### StaticMetaMethodSite

    public StaticMetaMethodSite​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params)

- ## Method Details

  - ### invoke

    public Object invoke​(Object receiver, Object[] args) throws Throwable
    Throws:
      `Throwable`

  - ### checkCall

    protected final boolean checkCall​(Object receiver, Object[] args)

  - ### checkCall

    protected final boolean checkCall​(Object receiver)

  - ### checkCall

    protected final boolean checkCall​(Object receiver, Object arg1)

  - ### checkCall

    protected final boolean checkCall​(Object receiver, Object arg1, Object arg2)

  - ### checkCall

    protected final boolean checkCall​(Object receiver, Object arg1, Object arg2, Object arg3)

  - ### checkCall

    protected final boolean checkCall​(Object receiver, Object arg1, Object arg2, Object arg3, Object arg4)

  - ### call

    public Object call​(Object receiver, Object[] args) throws Throwable
    Specified by:
      `call` in interface `CallSite`
    Overrides:
      `call` in class `AbstractCallSite`
    Throws:
      `Throwable`

  - ### callStatic

    public Object callStatic​(Class receiver, Object[] args) throws Throwable
    Specified by:
      `callStatic` in interface `CallSite`
    Overrides:
      `callStatic` in class `AbstractCallSite`
    Throws:
      `Throwable`

  - ### createStaticMetaMethodSite

    public static CallSite createStaticMetaMethodSite​(CallSite site, MetaClassImpl metaClass, MetaMethod metaMethod, Class[] params, Object[] args)